#!/bin/bash

fail () {
	echo $1
	exit 1
}


oc whoami || fail "need to be logged into an OpenShift server"

#echo "--Creating the project"

oc new-project micro-edgegw --display-name "Microservices Gateway" || fail "couldn't create project"

echo "--Creating the secrets"
oc process -f msgw-secrets-with-consul.yml | oc create -f -

echo "--Creating the deployment"
# if you're deploying in an OpenShift environment running in a Docker Machine VM, use the version below instead
# oc process -f msgw.yml --param-file=msgw.env --param=MSGW_PUBLIC_HOST=$(docker-machine ip openshift).xip.io | oc create -f -
oc process -f msgw-with-consul.yml --param-file=msgw-with-consul.env --param=MSGW_PUBLIC_HOST=ec2-34-227-98-138.compute-1.amazonaws.com | oc create -f -
